package com.bonus.core.account.v3.web.vo;

import java.math.BigDecimal;
import java.util.List;

public class AccUpdateWalletBalanceVO {
   private Long accTradeId;
   private BigDecimal accBalTotal;
   private BigDecimal accAllBal;
   private List<AccWalletInfoVO> walletInfoList;

   public Long getAccTradeId() {
      return this.accTradeId;
   }

   public BigDecimal getAccBalTotal() {
      return this.accBalTotal;
   }

   public BigDecimal getAccAllBal() {
      return this.accAllBal;
   }

   public List<AccWalletInfoVO> getWalletInfoList() {
      return this.walletInfoList;
   }

   public AccUpdateWalletBalanceVO setAccTradeId(final Long accTradeId) {
      this.accTradeId = accTradeId;
      return this;
   }

   public AccUpdateWalletBalanceVO setAccBalTotal(final BigDecimal accBalTotal) {
      this.accBalTotal = accBalTotal;
      return this;
   }

   public AccUpdateWalletBalanceVO setAccAllBal(final BigDecimal accAllBal) {
      this.accAllBal = accAllBal;
      return this;
   }

   public AccUpdateWalletBalanceVO setWalletInfoList(final List<AccWalletInfoVO> walletInfoList) {
      this.walletInfoList = walletInfoList;
      return this;
   }
}
